Execute Checkpoint Run
curl --request POST \
--url https://api-prod.interactly.ai/workflows/v1/workflows/{workflow_id}/runs/{workflow_run_id}/checkpoint-run \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"resume_turn_index": 1,
"start_node_logical_id": "<string>"
}
'import requests
url = "https://api-prod.interactly.ai/workflows/v1/workflows/{workflow_id}/runs/{workflow_run_id}/checkpoint-run"
payload = {
"resume_turn_index": 1,
"start_node_logical_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({resume_turn_index: 1, start_node_logical_id: '<string>'})
};
fetch('https://api-prod.interactly.ai/workflows/v1/workflows/{workflow_id}/runs/{workflow_run_id}/checkpoint-run', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-prod.interactly.ai/workflows/v1/workflows/{workflow_id}/runs/{workflow_run_id}/checkpoint-run",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'resume_turn_index' => 1,
'start_node_logical_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-prod.interactly.ai/workflows/v1/workflows/{workflow_id}/runs/{workflow_run_id}/checkpoint-run"
payload := strings.NewReader("{\n \"resume_turn_index\": 1,\n \"start_node_logical_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api-prod.interactly.ai/workflows/v1/workflows/{workflow_id}/runs/{workflow_run_id}/checkpoint-run")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"resume_turn_index\": 1,\n \"start_node_logical_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-prod.interactly.ai/workflows/v1/workflows/{workflow_id}/runs/{workflow_run_id}/checkpoint-run")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"resume_turn_index\": 1,\n \"start_node_logical_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"logical_id": "<string>",
"workflow_id": "<string>",
"version_number": 0,
"status": "not_started",
"termination_source": "<string>",
"input_output_pairs": [
{
"run_input": {
"dynamic_variables": {},
"runtime_variables": {},
"miscellaneous": {},
"command": "start",
"workflow_id": "<string>",
"version_number": 0,
"run_by": "<string>",
"workflow_run_id": "<string>",
"team_id": "<string>",
"start_node_logical_id": "<string>",
"initial_state": {},
"thread_to_node_inputs": {},
"welcome_message": "<string>"
},
"run_output": {
"events": [
"<unknown>"
],
"thread_to_node_outputs": {}
},
"evaluation": {},
"iteration_end_state_miscellaneous": {}
}
],
"run_by": "<string>",
"comments": [
{
"logical_id": "<string>",
"content": "<string>",
"createdBy": "5eb7cf5a86d9755df3a6c593",
"updatedBy": "5eb7cf5a86d9755df3a6c593",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"llm_token_usage": {
"total_input_tokens": 0,
"total_output_tokens": 0,
"total_tokens": 0,
"call_count_with_user_keys": 0,
"call_count_with_fallback_keys": 0,
"call_count": 0,
"breakdown_by_models": [
{
"response_model": "<string>",
"provider": "<string>",
"total_input_tokens": 0,
"total_output_tokens": 0,
"total_tokens": 0,
"call_count_with_user_keys": 0,
"call_count_with_fallback_keys": 0,
"call_count": 0
}
]
},
"llm_latency_stats": {
"call_count": 0,
"total_latency_milliseconds": 0,
"average_latency_milliseconds": 0,
"breakdown_by_models": [
{
"response_model": "<string>",
"provider": "<string>",
"call_count": 0,
"total_latency_milliseconds": 0,
"average_latency_milliseconds": 0
}
]
},
"version_name": "Initial Version",
"workflow_config_fully_hydrated": {
"workflow_config": {
"logical_id": "<string>",
"name": "<string>",
"description": "<string>",
"category": "User Created",
"attachable_llm_config_id": "<string>",
"llms_config": {
"logical_id": "llm_29ddb936-6fcd-4122-a362-69048416bcf1",
"provider": "default_provider",
"streaming": false,
"max_retries": 3,
"max_parse_retries": 3,
"model_kwargs": {},
"do_not_split_sentences": false,
"type": "no_llm"
},
"main_response_config": {
"prompt": "<string>"
},
"backchannel_response_config": {
"prompt": "<string>"
},
"default_prompt_prefix": "<string>",
"default_prompt_suffix": "<string>",
"ignore_content_received_during_llm_tool_call_specification": false,
"tools_config": {
"tools": [
{
"logical_id": "<string>",
"tool_id": "<string>",
"name": "<string>",
"description": "<string>",
"category": "<string>",
"signature": "<string>",
"args_schema": {},
"static_messages_config": {
"static_messages": [
"<string>"
],
"static_messages_selection_mode": "random"
},
"result_runtime_variable_name": "tool_result",
"ignore_content_received_during_llm_tool_call_specification": false,
"type": "inline_python",
"code": "<string>"
}
]
},
"mcp_servers": [
{
"server_url": "<string>",
"name": "<string>",
"api_headers": {}
}
],
"global_condition_evaluation_method": "tool_call",
"nodes": [
"<string>"
],
"edges": [
"<string>"
],
"evaluation_config": {
"evaluator_workflow_id": "<string>",
"evaluator_workflow_version_number": 123,
"enable_turn_by_turn_evaluation": false
},
"guardrail_strikes_config": {
"max_guardrail_nodes_before_escalation": 123,
"escalation_node_logical_id": "<string>",
"escalation_message": "<string>"
},
"miscellaneous": {},
"access_config": {
"access_level": "personal",
"access_list": [
"<string>"
]
}
},
"node_configs": [
{
"logical_id": "<string>",
"name": "<string>",
"description": "<string>",
"workflow_id": "<string>",
"version_number": 0,
"disabled": false,
"miscellaneous": {},
"primary_category": "System",
"secondary_category": "LLM",
"is_start": false,
"is_guardrail_node": false,
"global_node_config": {
"is_global": false,
"condition": {
"condition_freeform": "<string>",
"condition_expression": "<string>",
"args_schema": {},
"static_messages_config": {
"static_messages": [
"<string>"
],
"static_messages_selection_mode": "random"
},
"dynamic_messages_config": {
"dynamic_message_prompt": "<string>"
}
},
"global_condition_edge_evaluation_method": "workflow_default",
"reverse_conditional_edge": {
"condition_freeform": "<string>",
"condition_expression": "<string>",
"args_schema": {},
"static_messages_config": {
"static_messages": [
"<string>"
],
"static_messages_selection_mode": "random"
},
"dynamic_messages_config": {
"dynamic_message_prompt": "<string>"
}
}
},
"main_response_config": {
"prompt": "<string>"
},
"attachable_llm_config_id": "<string>",
"llms_config": {
"logical_id": "llm_41f18901-b860-4337-ade7-12525f991f46",
"provider": "default_provider",
"streaming": false,
"max_retries": 3,
"max_parse_retries": 3,
"model_kwargs": {},
"do_not_split_sentences": false,
"type": "global_default_llm"
},
"tools_config": {
"tools": [
{
"logical_id": "<string>",
"tool_id": "<string>",
"name": "<string>",
"description": "<string>",
"category": "<string>",
"signature": "<string>",
"args_schema": {},
"static_messages_config": {
"static_messages": [
"<string>"
],
"static_messages_selection_mode": "random"
},
"result_runtime_variable_name": "tool_result",
"ignore_content_received_during_llm_tool_call_specification": false,
"type": "inline_python",
"code": "<string>"
}
]
},
"self_loop": false,
"wait_for_user_message": true,
"max_consecutive_tool_calls": 1,
"default_error_message": "I am sorry, there seems to be an issue. Could you please repeat?",
"use_mcp_tools": false,
"ignore_default_prompt_prefix": false,
"ignore_default_prompt_suffix": false,
"ignore_content_received_during_llm_tool_call_specification": false,
"type": "worker_llm",
"structured_output_schema": {},
"backchannel_response_config": {
"prompt": "<string>"
}
}
],
"edge_configs": [
{
"logical_id": "<string>",
"name": "<string>",
"description": "<string>",
"workflow_id": "<string>",
"version_number": 0,
"disabled": false,
"miscellaneous": {},
"source_node_logical_id": "<string>",
"destination_node_logical_id": "<string>",
"type": "direct"
}
],
"dynamic_variables": {},
"runtime_variables": {}
},
"workflow_run_id": "<string>",
"miscellaneous": {},
"voice_conversation_id": "<string>",
"source_workflow_run_id": "<string>",
"checkpoint_source_turn_index": 123,
"carried_over_llm_token_usage": {
"total_input_tokens": 0,
"total_output_tokens": 0,
"total_tokens": 0,
"call_count_with_user_keys": 0,
"call_count_with_fallback_keys": 0,
"call_count": 0,
"breakdown_by_models": [
{
"response_model": "<string>",
"provider": "<string>",
"total_input_tokens": 0,
"total_output_tokens": 0,
"total_tokens": 0,
"call_count_with_user_keys": 0,
"call_count_with_fallback_keys": 0,
"call_count": 0
}
]
},
"carried_over_llm_latency_stats": {
"call_count": 0,
"total_latency_milliseconds": 0,
"average_latency_milliseconds": 0,
"breakdown_by_models": [
{
"response_model": "<string>",
"provider": "<string>",
"call_count": 0,
"total_latency_milliseconds": 0,
"average_latency_milliseconds": 0
}
]
},
"is_evaluation_run": false,
"evaluation_run_info": {
"evaluation_workflow_run_id": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Workflow Execution
Execute Checkpoint Run
Trigger a new workflow run from a checkpoint of an existing workflow run.
POST
/
workflows
/
v1
/
workflows
/
{workflow_id}
/
runs
/
{workflow_run_id}
/
checkpoint-run
Execute Checkpoint Run
curl --request POST \
--url https://api-prod.interactly.ai/workflows/v1/workflows/{workflow_id}/runs/{workflow_run_id}/checkpoint-run \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"resume_turn_index": 1,
"start_node_logical_id": "<string>"
}
'import requests
url = "https://api-prod.interactly.ai/workflows/v1/workflows/{workflow_id}/runs/{workflow_run_id}/checkpoint-run"
payload = {
"resume_turn_index": 1,
"start_node_logical_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({resume_turn_index: 1, start_node_logical_id: '<string>'})
};
fetch('https://api-prod.interactly.ai/workflows/v1/workflows/{workflow_id}/runs/{workflow_run_id}/checkpoint-run', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-prod.interactly.ai/workflows/v1/workflows/{workflow_id}/runs/{workflow_run_id}/checkpoint-run",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'resume_turn_index' => 1,
'start_node_logical_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-prod.interactly.ai/workflows/v1/workflows/{workflow_id}/runs/{workflow_run_id}/checkpoint-run"
payload := strings.NewReader("{\n \"resume_turn_index\": 1,\n \"start_node_logical_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api-prod.interactly.ai/workflows/v1/workflows/{workflow_id}/runs/{workflow_run_id}/checkpoint-run")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"resume_turn_index\": 1,\n \"start_node_logical_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-prod.interactly.ai/workflows/v1/workflows/{workflow_id}/runs/{workflow_run_id}/checkpoint-run")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"resume_turn_index\": 1,\n \"start_node_logical_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"logical_id": "<string>",
"workflow_id": "<string>",
"version_number": 0,
"status": "not_started",
"termination_source": "<string>",
"input_output_pairs": [
{
"run_input": {
"dynamic_variables": {},
"runtime_variables": {},
"miscellaneous": {},
"command": "start",
"workflow_id": "<string>",
"version_number": 0,
"run_by": "<string>",
"workflow_run_id": "<string>",
"team_id": "<string>",
"start_node_logical_id": "<string>",
"initial_state": {},
"thread_to_node_inputs": {},
"welcome_message": "<string>"
},
"run_output": {
"events": [
"<unknown>"
],
"thread_to_node_outputs": {}
},
"evaluation": {},
"iteration_end_state_miscellaneous": {}
}
],
"run_by": "<string>",
"comments": [
{
"logical_id": "<string>",
"content": "<string>",
"createdBy": "5eb7cf5a86d9755df3a6c593",
"updatedBy": "5eb7cf5a86d9755df3a6c593",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"llm_token_usage": {
"total_input_tokens": 0,
"total_output_tokens": 0,
"total_tokens": 0,
"call_count_with_user_keys": 0,
"call_count_with_fallback_keys": 0,
"call_count": 0,
"breakdown_by_models": [
{
"response_model": "<string>",
"provider": "<string>",
"total_input_tokens": 0,
"total_output_tokens": 0,
"total_tokens": 0,
"call_count_with_user_keys": 0,
"call_count_with_fallback_keys": 0,
"call_count": 0
}
]
},
"llm_latency_stats": {
"call_count": 0,
"total_latency_milliseconds": 0,
"average_latency_milliseconds": 0,
"breakdown_by_models": [
{
"response_model": "<string>",
"provider": "<string>",
"call_count": 0,
"total_latency_milliseconds": 0,
"average_latency_milliseconds": 0
}
]
},
"version_name": "Initial Version",
"workflow_config_fully_hydrated": {
"workflow_config": {
"logical_id": "<string>",
"name": "<string>",
"description": "<string>",
"category": "User Created",
"attachable_llm_config_id": "<string>",
"llms_config": {
"logical_id": "llm_29ddb936-6fcd-4122-a362-69048416bcf1",
"provider": "default_provider",
"streaming": false,
"max_retries": 3,
"max_parse_retries": 3,
"model_kwargs": {},
"do_not_split_sentences": false,
"type": "no_llm"
},
"main_response_config": {
"prompt": "<string>"
},
"backchannel_response_config": {
"prompt": "<string>"
},
"default_prompt_prefix": "<string>",
"default_prompt_suffix": "<string>",
"ignore_content_received_during_llm_tool_call_specification": false,
"tools_config": {
"tools": [
{
"logical_id": "<string>",
"tool_id": "<string>",
"name": "<string>",
"description": "<string>",
"category": "<string>",
"signature": "<string>",
"args_schema": {},
"static_messages_config": {
"static_messages": [
"<string>"
],
"static_messages_selection_mode": "random"
},
"result_runtime_variable_name": "tool_result",
"ignore_content_received_during_llm_tool_call_specification": false,
"type": "inline_python",
"code": "<string>"
}
]
},
"mcp_servers": [
{
"server_url": "<string>",
"name": "<string>",
"api_headers": {}
}
],
"global_condition_evaluation_method": "tool_call",
"nodes": [
"<string>"
],
"edges": [
"<string>"
],
"evaluation_config": {
"evaluator_workflow_id": "<string>",
"evaluator_workflow_version_number": 123,
"enable_turn_by_turn_evaluation": false
},
"guardrail_strikes_config": {
"max_guardrail_nodes_before_escalation": 123,
"escalation_node_logical_id": "<string>",
"escalation_message": "<string>"
},
"miscellaneous": {},
"access_config": {
"access_level": "personal",
"access_list": [
"<string>"
]
}
},
"node_configs": [
{
"logical_id": "<string>",
"name": "<string>",
"description": "<string>",
"workflow_id": "<string>",
"version_number": 0,
"disabled": false,
"miscellaneous": {},
"primary_category": "System",
"secondary_category": "LLM",
"is_start": false,
"is_guardrail_node": false,
"global_node_config": {
"is_global": false,
"condition": {
"condition_freeform": "<string>",
"condition_expression": "<string>",
"args_schema": {},
"static_messages_config": {
"static_messages": [
"<string>"
],
"static_messages_selection_mode": "random"
},
"dynamic_messages_config": {
"dynamic_message_prompt": "<string>"
}
},
"global_condition_edge_evaluation_method": "workflow_default",
"reverse_conditional_edge": {
"condition_freeform": "<string>",
"condition_expression": "<string>",
"args_schema": {},
"static_messages_config": {
"static_messages": [
"<string>"
],
"static_messages_selection_mode": "random"
},
"dynamic_messages_config": {
"dynamic_message_prompt": "<string>"
}
}
},
"main_response_config": {
"prompt": "<string>"
},
"attachable_llm_config_id": "<string>",
"llms_config": {
"logical_id": "llm_41f18901-b860-4337-ade7-12525f991f46",
"provider": "default_provider",
"streaming": false,
"max_retries": 3,
"max_parse_retries": 3,
"model_kwargs": {},
"do_not_split_sentences": false,
"type": "global_default_llm"
},
"tools_config": {
"tools": [
{
"logical_id": "<string>",
"tool_id": "<string>",
"name": "<string>",
"description": "<string>",
"category": "<string>",
"signature": "<string>",
"args_schema": {},
"static_messages_config": {
"static_messages": [
"<string>"
],
"static_messages_selection_mode": "random"
},
"result_runtime_variable_name": "tool_result",
"ignore_content_received_during_llm_tool_call_specification": false,
"type": "inline_python",
"code": "<string>"
}
]
},
"self_loop": false,
"wait_for_user_message": true,
"max_consecutive_tool_calls": 1,
"default_error_message": "I am sorry, there seems to be an issue. Could you please repeat?",
"use_mcp_tools": false,
"ignore_default_prompt_prefix": false,
"ignore_default_prompt_suffix": false,
"ignore_content_received_during_llm_tool_call_specification": false,
"type": "worker_llm",
"structured_output_schema": {},
"backchannel_response_config": {
"prompt": "<string>"
}
}
],
"edge_configs": [
{
"logical_id": "<string>",
"name": "<string>",
"description": "<string>",
"workflow_id": "<string>",
"version_number": 0,
"disabled": false,
"miscellaneous": {},
"source_node_logical_id": "<string>",
"destination_node_logical_id": "<string>",
"type": "direct"
}
],
"dynamic_variables": {},
"runtime_variables": {}
},
"workflow_run_id": "<string>",
"miscellaneous": {},
"voice_conversation_id": "<string>",
"source_workflow_run_id": "<string>",
"checkpoint_source_turn_index": 123,
"carried_over_llm_token_usage": {
"total_input_tokens": 0,
"total_output_tokens": 0,
"total_tokens": 0,
"call_count_with_user_keys": 0,
"call_count_with_fallback_keys": 0,
"call_count": 0,
"breakdown_by_models": [
{
"response_model": "<string>",
"provider": "<string>",
"total_input_tokens": 0,
"total_output_tokens": 0,
"total_tokens": 0,
"call_count_with_user_keys": 0,
"call_count_with_fallback_keys": 0,
"call_count": 0
}
]
},
"carried_over_llm_latency_stats": {
"call_count": 0,
"total_latency_milliseconds": 0,
"average_latency_milliseconds": 0,
"breakdown_by_models": [
{
"response_model": "<string>",
"provider": "<string>",
"call_count": 0,
"total_latency_milliseconds": 0,
"average_latency_milliseconds": 0
}
]
},
"is_evaluation_run": false,
"evaluation_run_info": {
"evaluation_workflow_run_id": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Retrieve your API Key from Dashboard API Keys Section.
Path Parameters
Body
application/json
Response
Successful Response
Represents a workflow run, which is a specific execution of a workflow.